Skip to main content
GET
Get event activities

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Query Parameters

page_size
integer
default:100

Number of items per page. Available options: 10, 25, 50, 100.

page
integer
default:1

Page number. Defaults to 1.

token_type
string | null
default:ERC20

Token standard to filter by: "ERC20", "ERC721", or "ERC1155". Defaults to "ERC20".

from_address
string | null

Sender address (0x-prefixed hex). At least one of from_address or to_address must be provided.

to_address
string | null

Recipient address (0x-prefixed hex). At least one of from_address or to_address must be provided.

from_block
number | null

Start of the block range (inclusive).

to_block
number | null

End of the block range (inclusive).

from_timestamp
number

Start of the time range (Unix seconds, inclusive). Must be after 2021-01-01. Max window: 90 days.

Required range: x >= 1609459200
to_timestamp
number | null

End of the time range (Unix seconds, inclusive). Max window: 90 days. Future values are clamped to now.

sort
string | null
default:DESC

Sort direction: ascending or descending. Defaults to descending.

last_id
string

Cursor for keyset pagination. Pass the id from the last item of the previous response to fetch the next page.

Response

Event activities

items
object[]
required
hasMore
boolean
required